% xelatex (use Makefile)
\documentclass[twoside]{book}

% Page layout options
% Note: the "showframe" option is useful for debugging.
\usepackage[paperwidth=5.25in, paperheight=8in, top=0.5in, bottom=0.25in, outer=1in, inner=0.44in, marginparwidth=0.5in, headsep=0.125in, footskip=0.25in]{geometry}
% \setlength{\topmargin}{-0.7in} % Relative to 1" default % This is for line spacing or something. See Bringhurst.

% Font spacing options
% \renewcommand\baselinestretch{12pt} % Kills compilation. % For line spacing.
\textwidth=23pc
\parindent=2em

% Packages that don't necessarily belong elsewhere.
\usepackage{mathtools}
\usepackage{nicefrac}
\usepackage{textcomp} % For miscellaneous symbols, viz.: copyright, degree.

% Hyphen penalty (higher numbers discourage hyphenation, up to 10000).
% 4000 seems to work fine because it only allows hyphenation in extreme conditions (and doesn't require having to use ~ all the time). 8000 was previously being used but anything with a badness over 5000 is ugly to the naked eye, so 4000 is now being used (5000 wasn't enough because it allowed things in the range 4800--5200).
% Never use 10000.
\sloppy\hyphenpenalty=4000

% Widow and orphan penalty.
\widowpenalty=10000
\clubpenalty=10000

% %%%%%%%%%%%%%%%%%%
%     APPENDICES
% %%%%%%%%%%%%%%%%%%
\usepackage[toc,page]{appendix}

% %%%%%%%%%%%%%%%%%%%%%%%%%%%
%     CHAPTER and SECTION
% %%%%%%%%%%%%%%%%%%%%%%%%%%%
% The "explicit" option requires the title to be given, supplied as #1.
\usepackage[explicit]{titlesec}

% Note: options for reconfiguring titles are found in the document.

% Defining two new commands which will be dynamically changed on each call of \book
\newcommand\englishchaptertitle{}
\newcommand\hebrewchaptertitle{}

%% Shorter way of declaring a chapter with both a Hebrew and an English name.
\newcommand\book[2]{%
  \chapter[#1\hfill#2~~~]{#1}% ~ added for spacing in ToC.
  \renewcommand\englishchaptertitle{#1}%
  \renewcommand\hebrewchaptertitle{#2}%
  \thispagestyle{fancy}% Forces no page number in cfoot.
  \markboth{1\thinspace:\thinspace1}{1\thinspace:\thinspace1}%
}

% %%%%%%%%%%%%%%%%%%%%%%%%
%     CHAPTER HEADINGS
% %%%%%%%%%%%%%%%%%%%%%%%%
\newcommand\heading[2]{%
  \medskip%
  \markboth{#1:1}{#1:1}%
  \marginpar{%
    \vspace{-2em}%
    \color{Gray}%
    {%
      \Huge%
      \textbf{%
        \hspace*{0.1em}%
        \begin{center}%
          #1%
        \end{center}%
      }%
    }%
  }%
  \noindent%
  \small%
  \emph{%
    \newline%
    #2.%
  }%
  \smallskip%
}

\usepackage{epigraph}

% %%%%%%%%%%%%%%%%%%%%%%%%%%%
%     ENUMERATE and VERSE
% %%%%%%%%%%%%%%%%%%%%%%%%%%%
% paralist allows for separate paragraphs in the same enumeration environment.
\usepackage{paralist}

% Change verse number to red superscript.
\usepackage[usenames,dvipsnames,svgnames]{xcolor}
\renewcommand\labelenumi{\hspace*{0.5em}\color{Red}{$^{\arabic{enumi}}\hspace*{-0.1em}$}}

% Patch enumi counter to always start with 1.
\usepackage{etoolbox}
\newcounter{myc}[enumi]
\patchcmd{\enumi}{}{\setcounter{myc}{1}}{}{}

\renewcommand\verse[1]{%
  \markboth{#1}{#1}% Sets up header. Stores #1 as both \leftmark and \rightmark.
  \item% Print verse number.
}

% Allows for more control of enumerations and lists.
\usepackage{enumitem}

% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
%     FONTS and ABBREVIATIONS
% %%%%%%%%%%%%%%%%%%%%%%%%%%%%%%%
\usepackage{fontspec}
\usepackage{metalogo}

% Egyptian hieroglyphs
\usepackage{graphicx}

% Greek
\newfontfamily\sblg[Script=Greek,Scale=MatchUppercase]{SBL Greek}
\newcommand\Greek[1]{{\sblg #1}}

% Hebrew
\newfontfamily\sblh[Script=Hebrew,Scale=MatchUppercase]{SBL Hebrew}
\newcommand\Hebrew[1]{{\sblh #1}}

% Phoenician
\usepackage{phoenician}

% Syriac
\newfontfamily\sbls[Path=/usr/share/fonts/truetype/,Script=Syriac,Scale=MatchUppercase]{Estrangelo}
\newcommand\Syriac[1]{{\sbls #1}}

% ABBREVIATIONS
\newcommand\lord{\textsc{Lord}}
\newcommand\god{\textsc{God}}

\newcommand\caref[3]{#1~#2,#3}
\newcommand\haref[3]{#1~#2$_\text{#3}$}
\newcommand\vref[3]{#1~#2\thinspace:\thinspace#3}

\newfontfamily\abbrev[Scale=MatchUppercase]{Apparatus SIL}
\newcommand\aquila{\Greek{α´}}
\newcommand\arabica{{\abbrev Å}}
\newcommand\bomberg{{\abbrev 𝔅}}
\newcommand\hadagger{{$\dagger$}}
\newcommand\fragheb{{\abbrev ℭ}}
\newcommand\latina{{\abbrev 𝔏}}
\newcommand\masoretic{{\abbrev 𝔐}}
\newcommand\missing{{\scriptsize>}}
\newcommand\peshitta{{\abbrev 𝔖}}
\newcommand\qumran{{\abbrev 𝔔}}
\newcommand\sampen{{\abbrev\large ⅏}}
\newcommand\schwa{ə}
\newcommand\septuagint{{\abbrev 𝔊}\thinspace}
\newcommand\super[1]{\textsuperscript{#1}}
\newcommand\superit[1]{\textsuperscript{\textit{#1}}}
\newcommand\symmachus{\Greek{σ´}}
\newcommand\targum{{\abbrev 𝔗}}
\newcommand\tetragrammaton{\Hebrew{יהוה}}
\newcommand\theodotion{\Greek{θ´}}
\newcommand\vulgate{{\abbrev 𝔙}}
% Others: http://scripts.sil.org/cms/scripts/render_download.php?format=file&media_id=ApparatusSIL_ViewGlyph&filename=ApparatusSIL_ViewGlyph.pdf

% %%%%%%%%%%%%%%%%%
%     FOOTNOTES
% %%%%%%%%%%%%%%%%%
\usepackage[perpage,multiple,hang,flushmargin]{footmisc}
% perpage: Resets footnote numbering for each page.
% multiple: Allows footnotes to be separated by a comma.
% hang and flushmargin: Removes the indentation.

% Makes footnotes lowercase, italic alpha instead of Arabic numerals.
% \renewcommand{\thefootnote}{\textit\alph{footnote}}

% Force footnotes to stay on the same page and not bleed over. Long footnotes should be placed in the appendix.
% xxxx: this isn't perfect in preventing footnotes from appearing on the next page.
\interfootnotelinepenalty=10000

% Abbreviated footnote commands
\newcommand\alt[1]{\footnote{\textsc{alt} #1}}
\newcommand\ca[2]{\footnote{\textsc{ca} #1 (#2)}}
\newcommand\cf[1]{\footnote{cf.\ #1}}
\newcommand\ed[1]{\footnote{\textsc{ed} #1}}
\newcommand\halot[2]{\footnote{\textsc{halot} \Hebrew{#1}: #2}}
\newcommand\halotu[2]{\footnote{\textsc{halotu} \Hebrew{#1}: #2}}
\newcommand\ie[1]{\footnote{\textsc{ie} #1}}
\newcommand\lit[1]{\footnote{\textsc{lit} #1}}
% \newcommand\understood{\footnote{\textsc{und}}}
\newcommand\understood[1]{\footnotemark#1\addtocounter{footnote}{-1}\footnote{\textsc{und}}}
\newcommand\ylt[1]{\footnote{\textsc{ylt} #1}}

% %%%%%%%%%%%%%%%%%%%%%%%%%
%     HEADER and FOOTER
% %%%%%%%%%%%%%%%%%%%%%%%%%
% Header options for dictionary style headers.
\usepackage{fancyhdr}

\renewcommand{\headrulewidth}{0pt} % Removes horizontal line.

\usepackage{fix2col} % Fixes potential problems with marks on two column pages.
\usepackage{substr}

% Extracts book name and chapters from rightmark and leftmark.
\fancyhead[LE]{\rightmark}
\fancyhead[RO]{\leftmark}
\fancyhead[LO,RE]{\thepage}
\fancyhead[CE]{\englishchaptertitle} % Puts book name (e.g., Genesis, Exodus) in center header on even pages.
\fancyhead[CO]{\hebrewchaptertitle} % Puts Hebrew book name in center header on odd pages.
\cfoot{} % Removes page number from center foot.

% %%%%%%%%%%%%%%
%     POETRY
% %%%%%%%%%%%%%%
% Use `\p[a-e]` for beginning of line spacing.
% Use `\pa` for interline separations.
\newcommand\pa{\noindent\hangindent=2em\hspace{2em}}
\newcommand\pb{\noindent\hangindent=2.5em\hspace{2.5em}}
\newcommand\pc{\noindent\hangindent=3em\hspace{3em}}
\newcommand\pd{\noindent\hangindent=3.5em\hspace{3.5em}}
\newcommand\pe{\noindent\hangindent=4em\hspace{4em}}

% Inter-line horizontal spacing
\newcommand\ilsp{\hspace{2.5em}}

% %%%%%%%%%%%%%%%%%%%%%%%%%
%     TABLE OF CONTENTS
% %%%%%%%%%%%%%%%%%%%%%%%%%
\AtBeginDocument{\addtocontents{toc}{\protect\thispagestyle{empty}}} % Removes page numbering from ToC.
\renewcommand\contentsname{CONTENTS} % Changes title of page.
\setcounter{tocdepth}{0} % Forces ToC to only displays books.
\def\numberline#1{} % Removes numbering from ToC but not from chapters.

% %%%%%%%%%%%%
%     YEAR
% %%%%%%%%%%%%
\usepackage{datetime}
\newdateformat{justtheyear}{\THEYEAR}

% %%%%%%%%%%%%%%%%
%     DOCUMENT
% %%%%%%%%%%%%%%%%
\begin{document}
  \frontmatter
  \pagestyle{empty}
  \titleformat{\chapter}{\large}{}{0em}{\uppercase{#1}}
  \titlespacing*{\chapter}{0pt}{0pt}{12pt}
  \titleformat{\section}{\scshape}{}{0em}{#1}
  \titleformat{\subsection}{}{}{0em}{\textit{#1}}
  \input{half-title}
  \clearpage
  \input{title-page}
  \clearpage
  \input{license}
  \clearpage
  \input{dedication}
  \clearpage
  \input{preface}
  {\cleardoublepage}
  \tableofcontents
  \clearpage
  \mainmatter

  % openrightfalse forces TeX to not generate a blank page between chapters.
  \makeatletter
  \@openrightfalse
  \makeatother

  \pagestyle{fancy}
  \book{Genesis}{\Hebrew{בראשית}}
  \input{Genesis/1}
  \input{Genesis/2}
  \input{Genesis/3}
  \input{Genesis/4}
  \input{Genesis/5}
  \input{Genesis/6}
  \input{Genesis/7}
  \input{Genesis/8}
  \input{Genesis/9}
  \input{Genesis/10}
  \input{Genesis/11}
  \input{Genesis/12}
  \input{Genesis/13}
  \input{Genesis/14}
  \input{Genesis/15}
  \input{Genesis/16}
  \input{Genesis/17}
  \input{Genesis/18}
  \input{Genesis/19}
  \input{Genesis/20}
  \input{Genesis/21}
  \input{Genesis/22}
  \input{Genesis/23}
  \input{Genesis/24}
  \input{Genesis/25}
  \input{Genesis/26}
  \input{Genesis/27}
  % \input{Genesis/31}
  % \input{Genesis/37}
  % The coat of many colors: \Hebrew{כְּתֹבֶת פּסִּים} \Greek{χιτῶνα ποικίλον} is rendered as ``coat of many colors.'' Rabbis tell us that this is more probably a long sleeve garment with markings. Additionally, this is a \textit{hapax legomenon}.
  \input{Genesis/39}
  % Genesis 48:7 - Ephrath = Bethlehem of Judaea
  \input{Genesis/49}

  \book{Exodus}{\Hebrew{שמות}}
  \input{Exodus/15}
  \input{Exodus/19}
  \input{Exodus/20}
  \input{Exodus/21}
  \input{Exodus/23}
  \input{Exodus/24}
  \input{Exodus/31}
  \input{Exodus/33}

  \book{Leviticus}{\Hebrew{ויקרא}}
  % \input{Leviticus/26}
  % 26:11: set footnote next to "I will establish my (presence) in your midst": See further in Welch's \textit{Experiencing the Presence of the Lord: The Temple Program of Leviticus}
  % 26:11-12: ``The term for the presence of the Lord (walking, \textit{mithalekh}) used in \vref{Leviticus}{26}{11--12} is the same used in the Eden story in \vref{Gen}{3}{8}'' (Welch, \textit{Experiencing the Presence of the Lord: The Temple Program of Leviticus})

  \book{Numbers}{\Hebrew{במדבר}}
  \input{Numbers/5}
  \input{Numbers/6}
  \input{Numbers/10}
  \input{Numbers/11}
  \input{Numbers/12}
  \input{Numbers/13}
  \input{Numbers/14}
  \input{Numbers/16}
  \input{Numbers/17}
  \input{Numbers/20}
  \input{Numbers/21}
  \input{Numbers/24}
  \input{Numbers/27}
  \input{Numbers/36}

  \book{Deuteronomy}{\Hebrew{דברים}}
  \input{Deuteronomy/5}
  \input{Deuteronomy/6}
  \input{Deuteronomy/25}

  \book{Joshua}{\Hebrew{יהושע}}
  \input{Joshua/3}
  \input{Joshua/24}

  \book{Judges}{\Hebrew{שופטים}}
  \input{Judges/7}

  \book{Ruth}{\Hebrew{רות}}
  \input{Ruth/1}
  \input{Ruth/2}
  \input{Ruth/3}
  \input{Ruth/4}

  \book{1 Samuel}{\Hebrew{א שמואל}}
  \input{1Samuel/15}
  \input{1Samuel/16}
  \input{1Samuel/17}

  \book{2 Samuel}{\Hebrew{ב שמואל}}
  \input{2Samuel/6}

  \book{1 Kings}{\Hebrew{א מלכים}}
  \input{1Kings/17}
  \input{1Kings/18}
  \input{1Kings/22}

  \book{2 Kings}{\Hebrew{ב מלכים}}
  \input{2Kings/2}
  \input{2Kings/5}
  \input{2Kings/6}
  \input{2Kings/7}
  \input{2Kings/20}

  \book{1 Chronicles}{\Hebrew{א הימים דברי}}

  \book{2 Chronicles}{\Hebrew{ב הימים דברי}}
  \input{2Chronicles/26}
  \input{2Chronicles/31}
  \input{2Chronicles/32}

  \book{Ezra}{\Hebrew{עזרא}}
  \input{Ezra/4}
  \input{Ezra/5}
  \input{Ezra/6}
  \input{Ezra/7}

  \book{Nehemiah}{\Hebrew{נחמיה}}
  \input{Nehemiah/6}

  \book{Esther}{\Hebrew{אסתר}}

  \book{Job}{\Hebrew{איוב}}
  {\noindent{\small \textsc{ca} $\nicefrac{1}{5}$ fere huius libri deest in \septuagint\ (nearly one fifth of this book is missing in the Septuagint)}}
  \input{Job/1}
  \input{Job/19}
  \input{Job/38}
  \input{Job/42}

  \book{Psalms}{\Hebrew{תהילים}}
  \input{Psalms/1}
  \input{Psalms/2}
  \input{Psalms/15}
  \input{Psalms/21}
  \input{Psalms/22}
  \input{Psalms/23}
  \input{Psalms/24}
  \input{Psalms/25}
  \input{Psalms/41}
  \input{Psalms/45}
  \input{Psalms/46}
  \input{Psalms/47}
  % \input{Psalms/52}
  % ps66:5, compare 46:9 (already referenced the other way)
  \input{Psalms/82}
  \input{Psalms/93}
  \input{Psalms/97}
  \input{Psalms/110}

  \book{Proverbs}{\Hebrew{משלי}}
  \book{Ecclesiastes}{\Hebrew{קהלת}}

  \book{Isaiah}{\Hebrew{ישעה}}
  {\noindent\textit{\small See Appendix~\ref{app:isaiah} for more information on the book of Isaiah.}}
  \input{Isaiah/1}
  \input{Isaiah/2}
  \input{Isaiah/6}
  \input{Isaiah/7}
  \input{Isaiah/8}
  \input{Isaiah/22}
  \input{Isaiah/33}
  \input{Isaiah/36}
  \input{Isaiah/50}
  \input{Isaiah/52}
  \input{Isaiah/53}
  \input{Isaiah/54}
  \input{Isaiah/62}

  \book{Jeremiah}{\Hebrew{ירמיה}}
  \input{Jeremiah/1}
  \input{Jeremiah/3}
  \input{Jeremiah/23}
  \input{Jeremiah/31}
  \input{Jeremiah/32}
  \input{Jeremiah/33}

  \book{Lamentations}{\Hebrew{איכה}}

  \book{Ezekiel}{\Hebrew{יחזקאל}}
  \input{Ezekiel/16}
  \input{Ezekiel/37}
  \input{Ezekiel/38}

  \book{Daniel}{\Hebrew{דניאל}}
  \input{Daniel/2}
  \input{Daniel/3}

  \book{Hosea}{\Hebrew{הושע}}

  \book{Joel}{\Hebrew{יואל}}
  \input{Joel/2}

  \book{Amos}{\Hebrew{עמוס}}

  \book{Obadiah}{\Hebrew{עבדיה}}
  \input{Obadiah/1}

  \book{Jonah}{\Hebrew{יונה}}
  \input{Jonah/1}
  \input{Jonah/2}
  \input{Jonah/3}
  \input{Jonah/4}

  \book{Micah}{\Hebrew{מיכה}}

  \book{Nahum}{\Hebrew{נחום}}

  \book{Habbakkuk}{\Hebrew{חבקוק}}

  \book{Zephaniah}{\Hebrew{צפניה}}
  \input{Zephaniah/1}

  \book{Haggai}{\Hebrew{חגי}}
  \input{Haggai/1}
  \input{Haggai/2}

  \book{Zechariah}{\Hebrew{זכריה}}

  % xxxx In Malachi, add a reference to Appendix on yada for whatever verse talks about marriage
  \book{Malachi}{\Hebrew{מלאכי}}
  \input{Malachi/1}
  \input{Malachi/2}
  \input{Malachi/3}

  ~\clearpage\thispagestyle{empty}

  \appendix
  % xxxx: Rework header and section title formatting.
  \fancyhead[LE,RO]{APPENDIX}
  \fancyhead[LO,RE]{\thepage}
  \fancyhead[CH]{} % Removes book name from center head.
  \titleformat{\chapter}{\large}{}{0em}{\uppercase{Appendix \thechapter~--- #1}}
  % \titlespacing*{\chapter}{0pt}{0pt}{12pt}
  \renewcommand*\thesection{\arabic{section}}
  \titleformat{\section}{\scshape}{}{0em}{Excursus \thesection~--- #1}
  \titleformat{\subsection}{}{}{0em}{\textsc{#1}}
  \titleformat{\subsubsection}{}{}{0em}{\textsc{#1}}
  \chapter{Additional notes}\thispagestyle{fancy}
  \input{Appendix/psalm-110}
  \clearpage
  \input{Appendix/isaiah}
  \clearpage
  \input{Appendix/aramaic-in-the-ot}
  \clearpage
  \input{Appendix/covenants-in-antiquity}
  \clearpage
  \input{Appendix/misc-hebrew}
  \clearpage
  \input{Appendix/sins-and-transgressions}
  \clearpage
  \input{Appendix/tabernacle}
  \clearpage
  \input{Appendix/tetragrammaton}
  \clearpage
  \input{Appendix/idioms}

  % Rework section formatting so "Excursus #" is not present.
  \titleformat{\section}{\scshape}{}{0em}{#1}
  \chapter{Dead Sea Scrolls}\thispagestyle{fancy}
  \input{Dead-sea-scrolls/4Q521}
  % \clearpage

  % Let the book breath.
  ~\clearpage\thispagestyle{empty}
  ~\clearpage\thispagestyle{empty}
\end{document}
